﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.VisualBasic;
using System.Data;
using System.Collections;
using Microsoft.VisualBasic.CompilerServices;
using System.Windows.Forms;


namespace Infragistics_RTL_Test
{


    class HebrewConv
    {
        private const int LTR_Mark = 8206;
        private const int RTL_Mark = 8207;
        private const int LTR_Embedding = 8234;
        private const int RTL_Embedding = 8235;
        private const int LTR_Override = 8237;
        private const int RTL_Override = 8238;
        private const int POP = 8236;


        


        //RONEN -  sets the reading direction of the string
        public static string fixRTL(string s, bool isRTL)
        {
            if (isRTL)
                //insert RTL embedding mark
                
                return Strings.ChrW(RTL_Embedding) + s + Strings.ChrW(POP);
            else
                //insert LTR embedding mark
                return Strings.Chr(LTR_Embedding) + s + Strings.ChrW(POP);
        }


        //RONEN - enforces the reading direction to be RTL/LTR ,effects also strong types.
        public static string overrideRTLmarks(string s, bool isRTL)
        {
            if (isRTL)
                //insert RTL Override mark
                return Strings.ChrW(RTL_Override) + s + Strings.ChrW(POP);
            else
                //insert LTR Override mark
                return Strings.ChrW(LTR_Override) + s + Strings.ChrW(POP);
        }



    }
}
